/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service.impl;

import com.rjconsultores.ventaboletos.dao.ReservacionClaseDAO;
import com.rjconsultores.ventaboletos.entidad.ReservacionClase;
import com.rjconsultores.ventaboletos.service.ReservacionClaseService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;
import java.util.Calendar;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 *
 * @author Administrador
 */
@Service("reservacionClaseService")
public class ReservacionClaseServiceImpl implements ReservacionClaseService {

    @Autowired
    private ReservacionClaseDAO reservacionClaseDAO;

    public List<ReservacionClase> obtenerTodos() {
        return reservacionClaseDAO.obtenerTodos();
    }

    public ReservacionClase obtenerID(Integer id) {
        return reservacionClaseDAO.obtenerID(id);
    }

    @Transactional
    public ReservacionClase suscribir(ReservacionClase entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return reservacionClaseDAO.suscribir(entidad);
    }

    @Transactional
    public ReservacionClase actualizacion(ReservacionClase entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return reservacionClaseDAO.actualizacion(entidad);
    }

    @Transactional
    public void borrar(ReservacionClase entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.FALSE);

        reservacionClaseDAO.actualizacion(entidad);
    }
}
